# Generated by Django 2.2.1 on 2019-06-08 16:39

from django.db import migrations, models
import django.db.models.deletion
import django_countries.fields
import phonenumber_field.modelfields


class Migration(migrations.Migration):

    dependencies = [
        ('port', '0002_auto_20190607_1129'),
    ]

    operations = [
        migrations.AddField(
            model_name='stay',
            name='no_mooring',
            field=models.BooleanField(blank=True, default=False, verbose_name='Set moorings later'),
        ),
        migrations.AlterField(
            model_name='boat',
            name='beam',
            field=models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True),
        ),
        migrations.AlterField(
            model_name='boat',
            name='company',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='port.Company'),
        ),
        migrations.AlterField(
            model_name='boat',
            name='heating',
            field=models.CharField(blank=True, max_length=50, null=True),
        ),
        migrations.AlterField(
            model_name='boat',
            name='length',
            field=models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True, verbose_name='Length'),
        ),
        migrations.AlterField(
            model_name='boat',
            name='model',
            field=models.CharField(blank=True, max_length=50, null=True),
        ),
        migrations.AlterField(
            model_name='boat',
            name='passenger_capacity',
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='boat',
            name='picture',
            field=models.ImageField(blank=True, null=True, upload_to='uploads/'),
        ),
        migrations.AlterField(
            model_name='boat',
            name='registration_num',
            field=models.CharField(blank=True, max_length=20, null=True, verbose_name='Registration number'),
        ),
        migrations.AlterField(
            model_name='boat',
            name='tonnage',
            field=models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True),
        ),
        migrations.AlterField(
            model_name='boat',
            name='water_draught',
            field=models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True),
        ),
        migrations.AlterField(
            model_name='boat',
            name='water_tank',
            field=models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True, verbose_name='Water tank capacity'),
        ),
        migrations.AlterField(
            model_name='boatinsurance',
            name='contract',
            field=models.IntegerField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='company',
            name='address',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='port.Address'),
        ),
        migrations.AlterField(
            model_name='company',
            name='email',
            field=models.EmailField(blank=True, max_length=200, null=True),
        ),
        migrations.AlterField(
            model_name='company',
            name='phone',
            field=phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=128, null=True, region=None),
        ),
        migrations.AlterField(
            model_name='company',
            name='registration_num',
            field=models.CharField(blank=True, max_length=50, null=True),
        ),
        migrations.AlterField(
            model_name='dock',
            name='depth_max',
            field=models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True),
        ),
        migrations.AlterField(
            model_name='dock',
            name='depth_min',
            field=models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True),
        ),
        migrations.AlterField(
            model_name='dock',
            name='length',
            field=models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True),
        ),
        migrations.AlterField(
            model_name='dock',
            name='width',
            field=models.DecimalField(blank=True, decimal_places=2, max_digits=7, null=True),
        ),
        migrations.AlterField(
            model_name='employee',
            name='position',
            field=models.CharField(blank=True, max_length=20, null=True, verbose_name='Job'),
        ),
        migrations.AlterField(
            model_name='mooring',
            name='plug',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='port.Plug'),
        ),
        migrations.AlterField(
            model_name='mooring',
            name='tap',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='port.Tap'),
        ),
        migrations.AlterField(
            model_name='person',
            name='address',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='port.Address'),
        ),
        migrations.AlterField(
            model_name='person',
            name='email',
            field=models.EmailField(blank=True, max_length=254, null=True),
        ),
        migrations.AlterField(
            model_name='person',
            name='name',
            field=models.CharField(blank=True, max_length=50, null=True),
        ),
        migrations.AlterField(
            model_name='person',
            name='nationality',
            field=django_countries.fields.CountryField(blank=True, max_length=2, null=True),
        ),
        migrations.AlterField(
            model_name='person',
            name='phone',
            field=phonenumber_field.modelfields.PhoneNumberField(blank=True, max_length=128, null=True, region=None),
        ),
        migrations.AlterField(
            model_name='person',
            name='surname',
            field=models.CharField(blank=True, max_length=50, null=True),
        ),
        migrations.AlterField(
            model_name='stay',
            name='bill',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='port.Bill'),
        ),
        migrations.AlterField(
            model_name='stay',
            name='coming_from',
            field=models.CharField(blank=True, max_length=200, null=True),
        ),
        migrations.AlterField(
            model_name='stay',
            name='departure',
            field=models.DateTimeField(blank=True, null=True),
        ),
        migrations.AlterField(
            model_name='stay',
            name='going_to',
            field=models.CharField(blank=True, max_length=200, null=True),
        ),
    ]
